Get System User

Request

GET /v3/system-users/155250 HTTP/1.1
Authorization: Bearer oauth_token

Path Parameters

/v3/system-users/{systemUserId}

Response

HTTP/1.1 200 OK
Content-Type: application/hal+json

{
  "id" : 155250,
  "type" : "system_user",
  "firstName" : "AI Agent",
  "lastName" : "",
  "initials" : "AA",
  "timezone" : "UTC",
  "role" : "user",
  "createdAt" : "2026-04-22T15:17:33Z",
  "updatedAt" : "2026-04-22T15:17:33Z",
  "_links" : {
    "self" : {
      "href" : "..."
    }
  }
}

Response fields

Path Type Description
id Number System user’s ID
type String Always system_user
firstName String First name
lastName String Last name
initials String Initials
email String E-mail
mention String Mention handle for @-references
timezone String Timezone
role String Company member role
photoUrl String Photo URL
createdAt String UTC time when this system user was created
updatedAt String UTC time when this system user was last modified
Relation Description
self Self link